#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       artikulate
Summary:    Learning software to improve pronunciation skills
Version:    4.14.3
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    LGPLv3+ and GPLv2 and BSD
URL:        http://techbase.kde.org/Projects/Edu/Artikulate
Source:     ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(QtGStreamer-1.0)

Requires:   kqtquickcharts

# Branch Patch (100-200)

# Mageia Patch


%description
Artikulate is a learning software that helps improving pronunciation skills
by listening to native speakers.

%files
%_kde_bindir/artikulate
%_kde_applicationsdir/artikulate.desktop
%_kde_appdatadir/artikulate.appdata.xml
%_kde_datadir/config.kcfg/artikulate.kcfg
%_kde_appsdir/artikulate
%_kde_appsdir/artikulateui.rc
%_kde_configdir/artikulate.knsrc
%_kde_iconsdir/hicolor/*/apps/%{name}.png
%_kde_iconsdir/hicolor/scalable/apps/%{name}.svgz

#------------------------------------------------------------------------------

%package handbook
Summary:   Artikulate handbook
Requires:  %{name} >= %{version}-%{release}
BuildArch: noarch
Group:     Documentation
%description handbook
This package provides artikulate handbook.

%files handbook
%doc AUTHORS COPYING* CONCEPT.txt
%doc %_kde_docdir/HTML/en/%{name}

#------------------------------------------------------------------------------	

%define artikulatecore_major 4
%define libartikulatecore %mklibname artikulatecore %artikulatecore_major

%package -n %libartikulatecore
Summary: Runtime library for %{name}
Group:   System/Libraries

%description -n %libartikulatecore
Runtime library for %{name}.

%files -n %libartikulatecore
%_kde_libdir/libartikulatecore.so.%{artikulatecore_major}*

#------------------------------------------------------------------------------	

%define artikulatelearnerprofile_major 4
%define libartikulatelearnerprofile %mklibname artikulatelearnerprofile %artikulatelearnerprofile_major

%package -n %libartikulatelearnerprofile
Summary: Runtime library for %{name}
Group:   System/Libraries

%description -n %libartikulatelearnerprofile
Runtime library for %{name}.

%files -n %libartikulatelearnerprofile
%_kde_libdir/libartikulatelearnerprofile.so.%{artikulatelearnerprofile_major}*

#------------------------------------------------------------------------------ 

%define artikulatesound_major 4
%define libartikulatesound %mklibname artikulatesound %artikulatesound_major

%package -n %libartikulatesound
Summary: Runtime library for %{name}
Group:   System/Libraries

%description -n %libartikulatesound
Runtime library for %{name}.

%files -n %libartikulatesound
%_kde_libdir/libartikulatesound.so.%{artikulatesound_major}*

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4
%make

%install
rm -fr %{buildroot}
%makeinstall_std -C build
rm -f %{buildroot}%{_kde_libdir}/libartikulate*.so



%changelog
* Sun Feb 08 2015 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 814160
- imported package artikulate

